import type { Reactive, ToRefs } from 'vue';
type DefaultStoreValue<T> = {
    setValue: (newValue: Partial<T>) => void;
};
export type PiniaStoreValue<R, T = undefined> = T extends undefined ? ToRefs<R> & DefaultStoreValue<R> : ToRefs<R> & T & DefaultStoreValue<R>;
export default function useReactiveState<T extends Record<string, any>, R = Reactive<T>>(defaultStateValue?: T | (() => T)): [R, (val: Partial<T>) => void];
export {};
